Org settings, dashboards & reporting

List Airwallex Integrations

Lists the org's Airwallex account connections, excluding retired ones unless requested.

POSThttps://api.toku.com/stablecoin-payroll/list-airwallex-integrations

Required scope: integrations:read

curl --request POST \
  --url 'https://api.toku.com/stablecoin-payroll/list-airwallex-integrations' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "orgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "includeRetired": false
}'
200 response
[
  {
    "airwallexIntegrationID": "string",
    "displayName": "string",
    "isDefaultForPayouts": true,
    "lifecycle": "string",
    "exists": true,
    "isEnabled": true,
    "isConfigured": true,
    "environment": "string",
    "clientID": "string",
    "accountID": "string",
    "loginAs": "string",
    "fundingCurrency": "string",
    "holdsTransfersForApproval": true,
    "hasApiKey": true,
    "hasWebhookSecret": true,
    "beneficiaryContactCount": 0,
    "beneficiarySyncInProgress": true,
    "updatedAt": "string"
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

orgIDstring<uuid>
includeRetiredbooleanrequired

Default: false

Response

200Successful response
airwallexIntegrationIDstring | null
displayNamestring | null
isDefaultForPayoutsboolean | null
lifecyclestring | null
existsboolean | null
isEnabledboolean | null
isConfiguredboolean | null
environmentstring | null
clientIDstring | null
accountIDstring | null
loginAsstring | null
fundingCurrencystring | null
holdsTransfersForApprovalboolean | null
hasApiKeyboolean | null
hasWebhookSecretboolean | null
beneficiaryContactCountnumber | null
beneficiaryLastSyncedAtnull | null
beneficiarySyncInProgressboolean | null
updatedAtstring | null
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits